Subject: [Speechsc] Minor editorial mistakes in Section 11

From: Arsen Chaloyan <[email-masked]>
Date: Fri, 11 May 2012 11:53:53 -0700 (PDT)

I'd like to bring to your attention a number of minor editorial mistakes I came across recently. 

1) Section 11.5.2

The verification result elements are described in Section 16.3 but not in Section 16.2. Please fix the reference.

2) Section 11.5.2.10

In the given example of an NLSML result, one of the voiceprints has an attribute named "uri". I believe it's just a typo. The attribute "id" should have been used instead.

Instead of 

       <voiceprint uri="juniorsmith">

should be 

       <voiceprint id="juniorsmith">

3) Section 11.9

The response to the DELETE-VOICEPRINT request in the given example is missing the Voiceprint-Exists header field. According to Section 11.4.13, this header field MUST be returned in QUERY-VOICEPRINT and DELETE-VOICEPRINT responses.

4) Section 11.10

Replace "is completes" with either "is complete" or "completes".

< When the VERIFY request is completes, the MRCPv2 server MUST send a VERIFICATION-COMPLETE event to the client.

> When the VERIFY request is complete, the MRCPv2 server MUST send a VERIFICATION-COMPLETE event to the client.

or

>When the VERIFY request completes, the MRCPv2 server MUST send a VERIFICATION-COMPLETE event to the client.

5) Section 11.11

In the given example, one of the messages has "johnsmith" as a voiceprint-identifier, while the others use "johnsmith.voiceprint".

Instead of 

C->S:  MRCP/2.0 ... QUERY-VOICEPRINT 314163
       Channel-Identifier:32AECB23433801@speakverify
       Repository-URI:http://www.example.com/voiceprints/
       Voiceprint-Identifier:johnsmith

should be 

C->S:  MRCP/2.0 ... QUERY-VOICEPRINT 314163
       Channel-Identifier:32AECB23433801@speakverify
       Repository-URI:http://www.example.com/voiceprints/
       Voiceprint-Identifier:johnsmith.voiceprint

Thanks,

Arsen
www.unimrcp.org